<?php
/*
 * The file is included from _assets-hardcoded-list.php and it's relevant only for the hardcoded styles (non-enqueued)
*/
if (! isset($data)) {
	exit; // no direct access
}
?>
<tr data-style-handle-row="<?php echo $data['row']['obj']->handle; ?>"
    class="wpacu_asset_row">
    <td>
        <?php if (isset($data['row']['obj']->src) && $data['row']['obj']->src) { ?>
	        <?php
	        // Source
	        include '_asset-style-single-row-hardcoded/_source.php';
	        ?>
            <div style="margin: 10px 0;">File Size: Pro version</div>
	        <?php
	        if ($data['row']['obj']->inside_conditional_comment) {
		        echo '<span><img style="vertical-align: middle;" width="25" height="25" src="'.WPACU_PLUGIN_URL.'/assets/icons/icon-ie.svg" alt="" title="Microsoft / Public domain" />&nbsp;<span style="font-weight: 400; color: #1C87CF;">Loads only in Internet Explorer based on the following condition:</span> <em>if '.$data['row']['obj']->inside_conditional_comment.'</em></span>';
	        }
	        ?>
            <div style="margin: 10px 0;" class="wpacu-hardcoded-code-area">
		        HTML Output: <code><?php echo htmlentities( $data['row']['obj']->tag_output ); ?></code>
	        </div>
            <?php
            } else {
            // STYLE inline tag
            $tagOutput = trim($data['row']['obj']->tag_output);

	        // default values (could be changed below)
            $totalCodeLines = 1;
	        $enableViewMore = false;

            if (strpos($tagOutput, "\n") !== false) {
                $totalCodeLines = count(explode("\n", $tagOutput));

                if ($totalCodeLines > 18) {
                    $enableViewMore = true;
                }
            }

	        if (strlen($tagOutput) > 600) {
		        $enableViewMore = true;
	        }
            ?>
            <div class="wpacu-hardcoded-code-area <?php if ($enableViewMore) { ?>wpacu-has-view-more<?php } ?>">
                <?php
                if ($tagBelongsTo = \WpAssetCleanUp\HardcodedAssets::belongsTo($data['row']['obj']->tag_output)) {
	                echo '<div style="margin-bottom: 10px;">'.__('Belongs to', 'wp-asset-clean-up').': <strong>'.$tagBelongsTo . '</strong></div>';
                }

                if ($data['row']['obj']->inside_conditional_comment) {
	                echo '<span><img style="vertical-align: middle;" width="25" height="25" src="'.WPACU_PLUGIN_URL.'/assets/icons/icon-ie.svg" alt="" title="Microsoft / Public domain" />&nbsp;<span style="font-weight: 400; color: #1C87CF;">Loads only in Internet Explorer based on the following condition:</span> <em>if '.$data['row']['obj']->inside_conditional_comment.'</em></span>';
                }
                ?>
                <div>
                    <pre><code><?php echo htmlentities( $data['row']['obj']->tag_output ); ?></code></pre>
                </div>
                <?php if ($enableViewMore) {
	                $wpacuViewMoreCodeBtnClass = ! is_admin() ? 'wpacu-view-more-code' : 'button';
                    ?>
                    <p class="wpacu-view-more-link-area" style="margin: 0 !important; padding: 15px !important;"><a href="#" class="<?php echo $wpacuViewMoreCodeBtnClass; ?>"><?php _e('View more', 'wp-asset-clean-up'); ?></a></p>
                <?php } ?>
            </div>
        <?php
        }
        ?>
	        <div class="wrap_bulk_unload_options">
		        <?php
		        $tagType = '';

		        if (isset($data['row']['obj']->tag_output)) {
			        $tagType = ( strpos( $data['row']['obj']->tag_output, '<link' ) !== false ) ? 'LINK' : 'STYLE';
		        }

		        // Unload on this page
		        include '_asset-style-single-row-hardcoded/_unload-per-page.php';

		        // Unload site-wide (everywhere)
		        include '_asset-style-single-row-hardcoded/_unload-site-wide.php';

		        // Unload on all pages of [post] post type (if applicable)
		        include '_asset-style-single-row-hardcoded/_unload-post-type.php';

		        // Unload via RegEx (if site-wide is not already chosen)
	            include '_asset-style-single-row-hardcoded/_unload-via-regex.php';

	            do_action('wpacu_pro_bulk_unload_output', $data, $data['row']['obj'], 'css');
	            ?>
	            <div class="wpacu-clearfix"></div>
	        </div>
	        <?php
	        // Handle Note
	        include '_asset-style-single-row-hardcoded/_notes.php';

	        // Preloads (none for the hardcoded styles)
	        ?>
	        <input type="hidden"
	               name="wpacu_preloads[styles][<?php echo $data['row']['obj']->handle; ?>]"
	               value="" />
	        <img style="display: none;"
	             class="wpacu-ajax-loader"
	             src="<?php echo WPACU_PLUGIN_URL; ?>/assets/icons/icon-ajax-loading-spinner.svg" alt="" />
	</td>
</tr>